Bug 1284015 - failed to bind to LDAP server ldap://DNS/: Can't contact LDAP server: No such file or directory
failed to bind to LDAP server ldap://DNS/: Can't contact LDAP server: No such...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nss-pam-ldapd (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 09:39 EST by Brian J. Murrell
Modified: 2016-12-20 11:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:08:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -o cat -b output (183.87 KB, application/x-bzip)
2015-11-20 09:39 EST, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2015-11-20 09:39:10 EST
Created attachment 1097229 [details]
journalctl -o cat -b output

Description of problem:
During boot when the nslcd service is started the following is reported from nslcd:

nslcd[1555]: [8b4567] <group/member="colord"> failed to bind to LDAP server ldap://DNS/: Can't contact LDAP server: No such file or directory
nslcd[1555]: [8b4567] <group/member="colord"> no available LDAP server found, sleeping 1 seconds

and it continues to complain:

nslcd[1555]: [7b23c6] <group/member="postfix"> failed to bind to LDAP server ldap://DNS/: Can't contact LDAP server: No such file or directory
nslcd[1555]: [7b23c6] <group/member="postfix"> no available LDAP server found: Can't contact LDAP server: No such file or directory
nslcd[1555]: [7b23c6] <group/member="postfix"> no available LDAP server found: Server is unavailable: No such file or directory
nslcd[1555]: [3c9869] <group/member="postfix"> failed to bind to LDAP server ldap://DNS/: Can't contact LDAP server: No such file or directory
nslcd[1555]: [3c9869] <group/member="postfix"> no available LDAP server found: Can't contact LDAP server: No such file or directory
nslcd[1555]: [3c9869] <group/member="postfix"> no available LDAP server found: Server is unavailable: No such file or directory

until I restart it after boot has completed.

Version-Release number of selected component (if applicable):
nss-pam-ldapd-0.8.14-5.fc23.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Configure a host as an IPA client
2. Boot up
3. Observe errors

Actual results:
nslcd fails to look up LDAP results

Expected results:
should successfully look up LDAP results

Additional info:
I wonder if this problem is one of the network not being up and available when nslcd is started, given that it works fine if I restart it once boot has completed.  I have attached the output of journalctl -o cat -b output for your inspection.
Comment 1 Jakub Hrozek 2015-11-20 10:06:13 EST
(In reply to Brian J. Murrell from comment #0)
> Additional info:
> I wonder if this problem is one of the network not being up and available
> when nslcd is started, given that it works fine if I restart it once boot
> has completed.  I have attached the output of journalctl -o cat -b output
> for your inspection.

Probably. SSSD is much better suited for this kind of environments (and better maintained...)
Comment 2 Brian J. Murrell 2015-11-20 10:09:01 EST
(In reply to Jakub Hrozek from comment #1)
> 
> Probably. SSSD is much better suited for this kind of environments (and
> better maintained...)

Isn't that what an ipa-client-install should have done?  I was assuming that ipa-client-install is what installed and enabled this nslcd also.

To be clear, this F23 node is/should be an IPA client.
Comment 3 Lukas Slebodnik 2015-11-20 10:20:28 EST
(In reply to Brian J. Murrell from comment #2)
> (In reply to Jakub Hrozek from comment #1)
> > 
> > Probably. SSSD is much better suited for this kind of environments (and
> > better maintained...)
> 
> Isn't that what an ipa-client-install should have done?  I was assuming that
> ipa-client-install is what installed and enabled this nslcd also.
> 
ipa-client-install configures sssd by default.
But it has an option to use nslcd
    -S, --no-sssd       Do not configure the client to use SSSD for
                        authentication

> To be clear, this F23 node is/should be an IPA client.
Comment 4 Jakub Hrozek 2015-11-20 10:22:03 EST
(In reply to Lukas Slebodnik from comment #3)
> (In reply to Brian J. Murrell from comment #2)
> > (In reply to Jakub Hrozek from comment #1)
> > > 
> > > Probably. SSSD is much better suited for this kind of environments (and
> > > better maintained...)
> > 
> > Isn't that what an ipa-client-install should have done?  I was assuming that
> > ipa-client-install is what installed and enabled this nslcd also.

Probably, but the nslcd option is not really well tested with modern distributions. It was always meant as a fallback for systems or distributions that don't have SSSD.

> > 
> ipa-client-install configures sssd by default.
> But it has an option to use nslcd
>     -S, --no-sssd       Do not configure the client to use SSSD for
>                         authentication
> 
> > To be clear, this F23 node is/should be an IPA client.
Comment 5 Brian J. Murrell 2015-11-20 10:26:09 EST
OK.  So yeah.  I'm starting to see that sssd and nslcd actually overlap and that you don't need the latter and it's not actually a *required* (or even recommended) component of being an IPA client.

This must have been holdover from before this node was an IPA client and I was rolling my own Kerberos/LDAP/SSO infrastucture (i.e. before I got an IPA server).

I will just remove it and be done with it.  I guess I want to remove the "ldap" provider configuration from my nsswitch.conf lines too then, yes?  They are currently subordinate (i.e. after) to my sssd provider on all of the lines they exist on, but for consistency's sake, I can just remove 'em, yes?
Comment 6 Fedora End Of Life 2016-11-24 08:37:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 11:08:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.